## org.hibernate.loader.custom
Class CollectionReturn

    java.lang.Object
      org.hibernate.loader.custom.NonScalarReturn
          org.hibernate.loader.custom.CollectionReturn

All Implemented Interfaces:
  Return

    public class CollectionReturn

extends NonScalarReturn

Represents a return which names a collection role; it is used in defining a custom query for loading an entity's collection in non-fetching scenarios (i.e., loading the collection itself as the "root" of the result).

Constructor Summary
`CollectionReturn(String alias, String ownerEntityName, String ownerProperty, CollectionAliases collectionAliases, EntityAliases elementEntityAliases, LockMode lockMode)`

Method Summary
`CollectionAliases` `getCollectionAliases()`
`EntityAliases` `getElementEntityAliases()`
`String` `getOwnerEntityName()` Returns the class owning the collection.
`String` `getOwnerProperty()` Returns the name of the property representing the collection from the `getOwnerEntityName()`.

Methods inherited from class org.hibernate.loader.custom.NonScalarReturn
`getAlias, getLockMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionReturn

    public CollectionReturn(String alias,
                            String ownerEntityName,
                            String ownerProperty,
                            CollectionAliases collectionAliases,
                            EntityAliases elementEntityAliases,
                            LockMode lockMode)

Method Detail

### getOwnerEntityName

    public String getOwnerEntityName()

  Returns the class owning the collection.

  Returns:
    The class owning the collection.

### getOwnerProperty

    public String getOwnerProperty()

  Returns the name of the property representing the collection from the `getOwnerEntityName()`.

  Returns:
    The name of the property representing the collection on the owner class.

### getCollectionAliases

    public CollectionAliases getCollectionAliases()

### getElementEntityAliases

    public EntityAliases getElementEntityAliases()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.